------------------------------------------------------------
revno: 144
committer: alf82@freemail.gr
branch nick: trunk
timestamp: Thu 2008-08-14 14:57:20 +0300
message:
  # Fixes for make install.
------------------------------------------------------------
revno: 143
committer: alf82@freemail.gr
branch nick: trunk
timestamp: Thu 2008-08-14 14:40:46 +0300
message:
  # Update files for 0.6.0 release.
------------------------------------------------------------
revno: 142
committer: alf82@freemail.gr
branch nick: trunk
timestamp: Thu 2008-08-14 14:39:07 +0300
message:
  # Fix mouse selection bug.
------------------------------------------------------------
revno: 141
committer: alf82@freemail.gr
branch nick: trunk
timestamp: Thu 2008-06-19 19:05:02 +0300
message:
  # Fixed various problems related to selecting data.
------------------------------------------------------------
revno: 140
committer: alf82@freemail.gr
branch nick: trunk
timestamp: Mon 2008-06-16 16:42:50 +0300
message:
  # Fix bug triggered when overwriting selected data.
------------------------------------------------------------
revno: 139
committer: alf82@freemail.gr
branch nick: trunk
timestamp: Sat 2008-06-07 18:01:02 +0300
message:
  # Merge changes from refactor-threading branch.
    ------------------------------------------------------------
    revno: 138.1.3
    committer: alf82@freemail.gr
    branch nick: refactor-threading
    timestamp: Sat 2008-06-07 17:58:32 +0300
    message:
      # Check if the AreaGroup is still valid when running the draw delegate.
    ------------------------------------------------------------
    revno: 138.1.2
    committer: alf82@freemail.gr
    branch nick: refactor-threading
    timestamp: Sat 2008-06-07 17:34:16 +0300
    message:
      # Adhere to policy: change model immediately, change view when idle.
    ------------------------------------------------------------
    revno: 138.1.1
    committer: alf82@freemail.gr
    branch nick: refactor-threading
    timestamp: Sat 2008-06-07 16:59:42 +0300
    message:
      # Changed ByteBuffer thread safety handling: it is now the event recipient's responsibility to execute code within the main GTK thread if this is needed.
------------------------------------------------------------
revno: 138
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2008-06-06 22:24:42 +0300
message:
  # Fix crash that occurs when changing the pattern match preference while there is no open file.
------------------------------------------------------------
revno: 137
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2008-06-06 22:22:41 +0300
message:
  # Make sure that preferences widgets are removed from the preferences dialog, so they can be shown again at a later invocation.
------------------------------------------------------------
revno: 136
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2008-06-06 15:58:59 +0300
message:
  # Make sure "Temporary Directory" preference is updated when it is changed in the preferences dialog.
------------------------------------------------------------
revno: 135
committer: alf82@freemail.gr
branch nick: bless
timestamp: Thu 2008-06-05 18:27:16 +0300
message:
  + Allow manual activation of progress report in ThreadedAsyncOperation.
  # Fix visual glitches in SaveOperation progress report.
------------------------------------------------------------
revno: 134
committer: alf82@freemail.gr
branch nick: bless
timestamp: Thu 2008-06-05 03:38:58 +0300
message:
  # Refactored ThreadedAsyncOperation class.
  # Refactored Save*Operation classes.
------------------------------------------------------------
revno: 133
committer: alf82@freemail.gr
branch nick: bless
timestamp: Mon 2008-06-02 19:33:16 +0300
message:
  # Update docs for version 0.5.9.
  # Fix Help->About.
------------------------------------------------------------
revno: 132
committer: alf82@freemail.gr
branch nick: bless
timestamp: Mon 2008-06-02 14:19:59 +0300
message:
  # Fix renames done by glade-3 that lead to crashes.
------------------------------------------------------------
revno: 131
committer: alf82@freemail.gr
branch nick: bless
timestamp: Mon 2008-06-02 03:39:31 +0300
message:
  # Add the new "Undo.KeepAfterSave" preference to the preferences dialog and rearrange it for better usability.
------------------------------------------------------------
revno: 130
committer: alf82@freemail.gr
branch nick: bless
timestamp: Mon 2008-06-02 03:38:40 +0300
message:
  # Decide how to handle the undo history after saving a file according to a preference.
------------------------------------------------------------
revno: 129
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sun 2008-06-01 10:31:25 +0300
message:
  # Don't clip highlights before breaking them down because 1. we are changing the originals (eg the selection) leading to bugs 2. they are clipped later on anyway
------------------------------------------------------------
revno: 128
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sat 2008-05-31 19:27:50 +0300
message:
  # Limit the size of highlighted selection patterns matches.
  # Minimize the number of highlights by merging overlapping pattern matches together.
   
------------------------------------------------------------
revno: 127
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2008-05-30 09:50:46 +0300
message:
  + Added Portable class to handle OS specific functions in a uniform way.
  # Changed code to use the Portable class methods.
------------------------------------------------------------
revno: 126
committer: alf82@freemail.gr
branch nick: bless
timestamp: Wed 2008-05-28 20:04:15 +0300
message:
  # Fix bug in Segment.MakePrivateCopyOfData() that causes data corruption when doing a Change->Save->Undo.
------------------------------------------------------------
revno: 125
committer: alf82@freemail.gr
branch nick: bless
timestamp: Wed 2008-05-28 20:01:17 +0300
message:
  # Fix names of Progress bar widgets so that ProgressDisplayPlugin can bind them.
------------------------------------------------------------
revno: 124
committer: alf82@freemail.gr
branch nick: bless
timestamp: Wed 2008-05-28 19:58:23 +0300
message:
  # Use the directory name instead of the full path in the call to statvfs() because the file may not exist yet.
------------------------------------------------------------
revno: 123
committer: alf82@freemail.gr
branch nick: bless
timestamp: Wed 2008-05-28 10:11:00 +0300
message:
  # More Buffer refactoring.
------------------------------------------------------------
revno: 122
committer: alf82@freemail.gr
branch nick: bless
timestamp: Wed 2008-05-28 09:07:52 +0300
message:
  # Refactored IBuffer interface.
------------------------------------------------------------
revno: 121
committer: alf82@freemail.gr
branch nick: bless
timestamp: Tue 2008-05-27 13:55:36 +0300
message:
  # Added forgotten calls to create private copies.
------------------------------------------------------------
revno: 120
committer: alf82@freemail.gr
branch nick: bless
timestamp: Tue 2008-05-27 11:51:08 +0300
message:
  + Added preferences for PatternMatchHighlight plugin.
------------------------------------------------------------
revno: 119
committer: alf82@freemail.gr
branch nick: bless
timestamp: Tue 2008-05-27 11:50:06 +0300
message:
  + Added proper support for plugin preferences.
------------------------------------------------------------
revno: 118
committer: alf82@freemail.gr
branch nick: bless
timestamp: Tue 2008-05-27 11:43:23 +0300
message:
  # Added property to get all loaded plugin managers.
------------------------------------------------------------
revno: 117
committer: alf82@freemail.gr
branch nick: bless
timestamp: Tue 2008-05-27 09:20:32 +0300
message:
  - Removed unused "Default Number Base" option.
------------------------------------------------------------
revno: 116
committer: alf82@freemail.gr
branch nick: bless
timestamp: Mon 2008-05-26 16:42:58 +0300
message:
  # Initial refactoring of preferences subsystem.
------------------------------------------------------------
revno: 115
committer: alf82@freemail.gr
branch nick: bless
timestamp: Mon 2008-05-26 16:39:23 +0300
message:
  # Use gettext 0.15 instead of 0.14 in configure.ac (fixes gna.org #9660)
------------------------------------------------------------
revno: 114
committer: alf82@freemail.gr
branch nick: bless
timestamp: Thu 2008-04-17 13:25:46 +0300
message:
  # Fix bless build with mono 1.9
------------------------------------------------------------
revno: 113
committer: alf82@freemail.gr
branch nick: bless
timestamp: Thu 2008-04-17 13:18:29 +0300
message:
  # Fix export problem (gna.org #11397)
------------------------------------------------------------
revno: 112
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sat 2008-04-05 17:09:33 +0300
message:
  # Make sure we have a bytebuffer when rendering (fixes crash when changing layouts).
------------------------------------------------------------
revno: 111
committer: alf82@freemail.gr
branch nick: bless
timestamp: Wed 2008-04-02 17:24:10 +0300
message:
  # Fixed highlighting bugs.
------------------------------------------------------------
revno: 110
committer: alf82@freemail.gr
branch nick: bless
timestamp: Wed 2008-04-02 15:54:03 +0300
message:
  # Make sure view remains in a consistent state when deleting or cutting bytes.
------------------------------------------------------------
revno: 109
committer: alf82@freemail.gr
branch nick: bless
timestamp: Wed 2008-04-02 15:30:02 +0300
message:
  # Cursor is correctly cleared when it is at (or beyond) the EOF.
------------------------------------------------------------
revno: 108
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sun 2008-03-23 23:32:59 +0200
message:
  # Fixed silly errors which caused crashes (eg when closing a file).
  # Removed forgotten debug message.
------------------------------------------------------------
revno: 107
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sun 2008-03-23 23:08:02 +0200
message:
  # Make sure the cursor always becomes visible after clearing a selection.
------------------------------------------------------------
revno: 106
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sun 2008-03-23 16:29:16 +0200
message:
  # Made application respond immediately to ByteBuffer events.
------------------------------------------------------------
revno: 105
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sun 2008-03-23 14:13:03 +0200
message:
  # Removed obsolete code.
  # Fixed build warnings.
------------------------------------------------------------
revno: 104
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sun 2008-03-23 03:10:45 +0200
message:
  # Fixed cursor issues (visual glitches and focus).
------------------------------------------------------------
revno: 103
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sat 2008-03-22 18:36:59 +0200
message:
  + Cached buffer data used when rendering the areas. Got a substantial performance increase!
------------------------------------------------------------
revno: 102
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sat 2008-03-22 17:42:38 +0200
message:
  + Added PatternMatchHighlightPlugin.
------------------------------------------------------------
revno: 101
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sat 2008-03-22 17:29:29 +0200
message:
  # Fixed visual highlighting glitches.
------------------------------------------------------------
revno: 100
committer: alf82@freemail.gr
branch nick: bless
timestamp: Thu 2008-03-20 20:33:07 +0200
message:
  # Fixed cursor rendering.
------------------------------------------------------------
revno: 99
committer: alf82@freemail.gr
branch nick: bless
timestamp: Thu 2008-03-20 18:34:37 +0200
message:
  # Fixed drawing of highlights.
------------------------------------------------------------
revno: 98
committer: alf82@freemail.gr
branch nick: bless
timestamp: Thu 2008-03-20 10:26:59 +0200
message:
  + Added comments.
------------------------------------------------------------
revno: 97
committer: alf82@freemail.gr
branch nick: bless
timestamp: Wed 2008-03-19 21:00:58 +0200
message:
  + Implemented differential highlight rendering.
------------------------------------------------------------
revno: 96
committer: alf82@freemail.gr
branch nick: bless
timestamp: Wed 2008-03-19 18:29:25 +0200
message:
  # First attempt at refactoring Bless.Areas.
------------------------------------------------------------
revno: 95
committer: alf82@freemail.gr
branch nick: bless
timestamp: Wed 2008-03-19 00:29:00 +0200
message:
  + Added IntervalTree class.
  + Added IRange interface.
  + Added Range.Overlaps() method.
------------------------------------------------------------
revno: 94
committer: alf82@freemail.gr
branch nick: bless
timestamp: Wed 2008-03-19 00:06:28 +0200
message:
  - Remove extra selection sorts. (Every selection is sorted in SetSelection()).
------------------------------------------------------------
revno: 93
committer: alf82@freemail.gr
branch nick: bless
timestamp: Tue 2008-03-18 21:52:09 +0200
message:
  + Added a generic RedBlackTree class to Bless.Util.
------------------------------------------------------------
revno: 92
committer: alf82@freemail.gr
branch nick: bless
timestamp: Mon 2008-03-17 13:59:20 +0200
message:
  # Fixed support for 'make check'.
------------------------------------------------------------
revno: 91
committer: alf82@freemail.gr
branch nick: bless
timestamp: Mon 2008-03-17 13:34:01 +0200
message:
  + Added support for dummy modules to bless-builder.
  + Added support for per module outputdir to bless-builder.
------------------------------------------------------------
revno: 90
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sun 2008-02-24 20:19:52 +0200
message:
  # Don't allow users to execute actions that change the size of a non-resizable buffer.
------------------------------------------------------------
revno: 89
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sun 2008-02-24 19:38:16 +0200
message:
  + Added support for reading from and writing to block devices.
------------------------------------------------------------
revno: 88
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sun 2007-12-16 16:51:07 +0200
message:
  # Try to open files using both escaped and unescaped URI interpretations. Fixes gna.org #10378.
------------------------------------------------------------
revno: 87
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2007-08-31 18:58:22 +0300
message:
  # Added forgotten file in EXTRA_DIST.
  # Fixed needed GTK version in manual.
------------------------------------------------------------
revno: 86
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2007-08-31 18:40:59 +0300
message:
  (no message)
------------------------------------------------------------
revno: 85
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2007-08-31 18:30:34 +0300
message:
  # Make sure make recurses into all src/ subdirs (not for building, but for cleaning).
------------------------------------------------------------
revno: 84
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2007-08-31 18:29:01 +0300
message:
  - Remove extraneous debug messages.
------------------------------------------------------------
revno: 83
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sat 2007-08-25 12:52:37 +0300
message:
  + Added some Bless API documentation.
------------------------------------------------------------
revno: 82
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2007-08-03 18:35:16 +0300
message:
  # Fixes in automake scripts (closes gna.org #9659)
------------------------------------------------------------
revno: 81
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2007-08-03 18:09:20 +0300
message:
  # Fixed typo bug (closes gna.org #9664)
------------------------------------------------------------
revno: 80
committer: alf82@freemail.gr
branch nick: bless
timestamp: Thu 2007-07-19 23:34:27 +0300
message:
  # doc/user/Makefile.am: Workaround for annoying $(wildcard) issue. Fixes gna.org #9543.
  # src/util/Makefile.am: Filename changed.
------------------------------------------------------------
revno: 79
committer: alf82@freemail.gr
branch nick: bless
timestamp: Thu 2007-07-19 22:25:45 +0300
message:
  # Fixes for bless.desktop. Closes gna.org patch #769.
------------------------------------------------------------
revno: 78
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sat 2007-07-14 16:31:55 +0300
message:
  # Moved Area plugins to Bless.Gui.Areas.Plugins namespace.
------------------------------------------------------------
revno: 77
committer: alf82@freemail.gr
branch nick: bless
timestamp: Tue 2007-06-26 18:27:26 +0300
message:
  # Install Bless in more standard locations (patch by Emmanuel Fleury).
------------------------------------------------------------
revno: 76
committer: alf82@freemail.gr
branch nick: bless
timestamp: Tue 2007-06-26 18:06:57 +0300
message:
  # Added FileResourcePath.GetDataPath() to get the path of files in the bless data directory.
    So now the installation data path doesn't need to be <assembly_dir>/../data.
        
  # Changed files to use the new GetDataPath().
------------------------------------------------------------
revno: 75
committer: alf82@freemail.gr
branch nick: bless
timestamp: Wed 2007-06-13 15:20:53 +0300
message:
  # Beautified the source code
------------------------------------------------------------
revno: 74
committer: alf82@freemail.gr
branch nick: bless
timestamp: Wed 2007-06-13 13:27:11 +0300
message:
  # Plugin-ified Areas subsystem.
  # Moved XML area configuration code from Layout to each separate Area.
------------------------------------------------------------
revno: 73
committer: alf82@freemail.gr
branch nick: bless
timestamp: Wed 2007-06-13 13:21:45 +0300
message:
  + Bless builder can now detect cyclic module dependencies and exit with a meaningful message.
------------------------------------------------------------
revno: 72
committer: alf82@freemail.gr
branch nick: bless
timestamp: Wed 2007-06-13 13:13:55 +0300
message:
  # Update forgotten bless.spec, doc/user/Makefile.am
------------------------------------------------------------
revno: 71
committer: alf82@freemail.gr
branch nick: bless
timestamp: Wed 2007-06-13 13:02:15 +0300
message:
  # Make sure file names with underscores are displayed correctly in tab labels.
------------------------------------------------------------
revno: 70
committer: alf82@freemail.gr
branch nick: bless
timestamp: Wed 2007-06-13 12:56:37 +0300
message:
  # Properly handle local files with non-[URI compliant] characters (eg ':') (fixes gna.org #9313)
------------------------------------------------------------
revno: 69
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sat 2007-06-02 19:16:32 +0300
message:
  # Updated documentation and build system for 0.5.1
------------------------------------------------------------
revno: 68
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sat 2007-06-02 18:50:07 +0300
message:
  # Make sure the user can't perform an operation with an empty byte pattern.
  + Add icon for perform byte operation action item.
------------------------------------------------------------
revno: 67
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sat 2007-06-02 18:13:24 +0300
message:
  # Fix for missing "Select All" label introduced by previous patch.
------------------------------------------------------------
revno: 66
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sat 2007-05-19 14:34:01 +0300
message:
  - Removed 'Stock.SelectAll' so we don't depend on Gtk+ 2.10 yet.
------------------------------------------------------------
revno: 65
committer: alf82@freemail.gr
branch nick: bless
timestamp: Tue 2007-05-08 16:17:39 +0300
message:
  # Improved BitwiseOperations gui.
  + Added documentation for the bitwise operations in the manual.
------------------------------------------------------------
revno: 64
committer: alf82@freemail.gr
branch nick: bless
timestamp: Tue 2007-05-08 14:19:00 +0300
message:
  # General cleanup in Bless.Buffers.*
------------------------------------------------------------
revno: 63
committer: alf82@freemail.gr
branch nick: bless
timestamp: Tue 2007-05-08 13:46:55 +0300
message:
  # Changed MultiAction to use a generic List<>.
------------------------------------------------------------
revno: 62
committer: alf82@freemail.gr
branch nick: bless
timestamp: Tue 2007-05-08 13:16:11 +0300
message:
  # Make sure edit shortcuts (eg Ctrl-C) are working properly in the various text entries (fixes gna.org #9094)
------------------------------------------------------------
revno: 61
committer: alf82@freemail.gr
branch nick: bless
timestamp: Tue 2007-05-08 02:04:46 +0300
message:
  # Fixed "Replace All" bug caused by change in ByteBuffer.ReadAllowed semantics (fixes gna.org #9084)
------------------------------------------------------------
revno: 60
committer: alf82@freemail.gr
branch nick: bless
timestamp: Mon 2007-04-23 14:13:43 +0300
message:
  # Refactoring of MakePrivateCopyOfData()
  + Added SegmentCollection.GetRange()
------------------------------------------------------------
revno: 59
committer: alf82@freemail.gr
branch nick: bless
timestamp: Mon 2007-04-23 13:02:42 +0300
message:
  # Make sure undo/redo information stays valid after saving (fixes #8916)
------------------------------------------------------------
revno: 58
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sat 2007-04-21 13:05:01 +0300
message:
  + Made Util.Deque and Util.List implement IEnumerable.
------------------------------------------------------------
revno: 57
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2007-04-20 16:03:49 +0300
message:
  # Workaround for string.IndexOf(...) bug in mono 1.1.x, when performing case-insensitive comparison. Fixes #8975.
------------------------------------------------------------
revno: 56
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2007-04-06 16:54:39 +0300
message:
  + Added plugin to perform bitwise operations
------------------------------------------------------------
revno: 55
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2007-04-06 14:28:14 +0300
message:
  # Made Util.List and Util.Deque generic
  # Fixed all code to use the generic classes
------------------------------------------------------------
revno: 54
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2007-04-06 13:56:07 +0300
message:
  # Changed IBuffer interface to make it more versatile
------------------------------------------------------------
revno: 53
committer: alf82@freemail.gr
branch nick: bless
timestamp: Thu 2007-04-05 15:52:05 +0300
message:
  # Make sure the infobar updates the selection even when the cursor hasn't moved
------------------------------------------------------------
revno: 52
committer: alf82@freemail.gr
branch nick: bless
timestamp: Thu 2007-04-05 15:46:05 +0300
message:
  + Added new progress display infrastructure
  + Added new UIService to hold UI related service
  # Changed save operations to use the new infrastructure
  # Save operations progress now displays the name of the file being saved
------------------------------------------------------------
revno: 51
committer: alf82@freemail.gr
branch nick: bless
timestamp: Thu 2007-04-05 13:14:24 +0300
message:
  + Added "select all" operation
  + Added Range property to ByteBuffer
------------------------------------------------------------
revno: 50
committer: alf82@freemail.gr
branch nick: bless
timestamp: Tue 2007-04-03 16:07:01 +0300
message:
  # Always copy data instead of assigning reference, because the referenced data may be change externally
------------------------------------------------------------
revno: 49
committer: alf82@freemail.gr
branch nick: bless
timestamp: Mon 2007-04-02 16:35:06 +0300
message:
  + Added right-click popup menu in DataView areas
------------------------------------------------------------
revno: 48
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2007-03-30 14:50:45 +0300
message:
  # Updated documentation and build system for 0.5.0
------------------------------------------------------------
revno: 47
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2007-03-30 14:39:13 +0300
message:
  - Removed el.po as it is not complete
------------------------------------------------------------
revno: 46
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2007-03-30 14:33:05 +0300
message:
  # We don't need to depend on Mono.Cairo.dll
------------------------------------------------------------
revno: 45
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2007-03-30 14:23:46 +0300
message:
  # Using Gtk.AboutDialog instead of custom one.
------------------------------------------------------------
revno: 44
committer: alf82@freemail.gr
branch nick: bless
timestamp: Tue 2007-03-27 16:26:06 +0300
message:
  # Try to highlight selection pattern matches only if selection has a reasonable size (<=1024 bytes)
------------------------------------------------------------
revno: 43
committer: alf82@freemail.gr
branch nick: bless
timestamp: Tue 2007-03-27 15:49:27 +0300
message:
  # More GC related cleanup.
------------------------------------------------------------
revno: 42
committer: alf82@freemail.gr
branch nick: bless
timestamp: Mon 2007-03-26 12:33:14 +0300
message:
  # Thoroughly cleanup resources to help the GC collect objects
------------------------------------------------------------
revno: 41
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2007-03-09 02:27:22 +0200
message:
  # Fixed bug: newly opened files that replaced empty views didn't correctly notify about changes (eg no undo/redo).
------------------------------------------------------------
revno: 40
committer: alf82@freemail.gr
branch nick: bless
timestamp: Thu 2007-03-08 14:34:19 +0200
message:
  # Fixed innocent gtk warnings
------------------------------------------------------------
revno: 39
committer: alf82@freemail.gr
branch nick: bless
timestamp: Thu 2007-03-08 13:51:13 +0200
message:
  # Make sure the PluginManager tries to load only .dll plugin files.
------------------------------------------------------------
revno: 38
committer: alf82@freemail.gr
branch nick: bless
timestamp: Thu 2007-03-08 13:46:21 +0200
message:
  # Documentation update for 0.5.0rc1
  # Require mono 1.1.14 and gtk# 2.8
  + Include autogen.sh in distribution package
------------------------------------------------------------
revno: 37
committer: alf82@freemail.gr
branch nick: bless
timestamp: Wed 2007-03-07 19:31:49 +0200
message:
  # Make sure bless can be built and executed in a path with spaces.
------------------------------------------------------------
revno: 36
committer: alf82@freemail.gr
branch nick: bless
timestamp: Tue 2007-01-23 11:03:53 +0200
message:
  # configure.ac: Make sure user has a proper mono and gmcs installed.
------------------------------------------------------------
revno: 35
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2007-01-05 10:57:19 +0200
message:
  + Added $(DESTDIR) support in Makefiles
------------------------------------------------------------
revno: 34
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sat 2006-12-30 12:21:53 +0200
message:
  # Really minor fix.
------------------------------------------------------------
revno: 33
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sat 2006-12-30 12:08:44 +0200
message:
  # Improved installability (for lack of better term)
------------------------------------------------------------
revno: 32
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2006-12-29 12:59:19 +0200
message:
  # Misc bug fixes.
  + Updated documentation.
------------------------------------------------------------
revno: 31
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2006-12-29 12:19:23 +0200
message:
  + BlessBuilder now passes command line options to MCS
------------------------------------------------------------
revno: 30
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2006-12-29 00:13:43 +0200
message:
  # Pre-release cleanup.
  + Improved user guide.
------------------------------------------------------------
revno: 29
committer: alf82@freemail.gr
branch nick: bless
timestamp: Thu 2006-12-28 22:59:35 +0200
message:
  # DataViewControl.cs: Fixed TAB key problem.
  + *Area.cs: Added support for numpad numerical entry.
------------------------------------------------------------
revno: 28
committer: alf82@freemail.gr
branch nick: bless
timestamp: Thu 2006-12-28 22:23:41 +0200
message:
  # Refactored DataViewControl event handling code.
------------------------------------------------------------
revno: 27
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sun 2006-12-24 14:14:16 +0200
message:
  + Added type('t') option support in export pattern commands
  + Added default values for various export pattern command options
  + Updated export section in manual
------------------------------------------------------------
revno: 26
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sun 2006-12-24 14:03:50 +0200
message:
  + BaseConverter.cs: Added option whether to use lowercase when converting.
------------------------------------------------------------
revno: 25
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sat 2006-12-23 18:57:40 +0200
message:
  # Cleaned up console debug messages
------------------------------------------------------------
revno: 24
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sat 2006-12-23 18:35:18 +0200
message:
  # Save memory by loading the same pixmaps only once.
  - Don't need to share layouts to conserve memory anymore
------------------------------------------------------------
revno: 23
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sat 2006-12-23 12:23:03 +0200
message:
  # Applied patch from Thomas Liebetraut for garbled display problem (fixes gna.org #6158)
------------------------------------------------------------
revno: 22
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sat 2006-12-23 11:57:25 +0200
message:
  # More compiler warning fixes
------------------------------------------------------------
revno: 21
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sat 2006-12-23 11:45:04 +0200
message:
  # Fixed compiler warnings
------------------------------------------------------------
revno: 20
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sat 2006-12-23 11:35:43 +0200
message:
  + Added ignore tag support in build system .bi files.
------------------------------------------------------------
revno: 19
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2006-12-22 17:59:56 +0200
message:
  # Improved Statistics plugin, but it is far from ready so it is disabled.
------------------------------------------------------------
revno: 18
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2006-12-22 17:28:08 +0200
message:
  # Updated documentation and build system for 0.5.0beta1
------------------------------------------------------------
revno: 17
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2006-12-22 17:10:39 +0200
message:
  # SelectRangePlugin.cs: Correctly calculate range with negative length.
  # DataView.cs: Make sure range is sorted beforing setting selection.
------------------------------------------------------------
revno: 16
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2006-12-22 14:24:02 +0200
message:
  + Added HistoryPlugin and improved history infrastructure
------------------------------------------------------------
revno: 15
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2006-12-22 03:41:47 +0200
message:
  # Improved pre-build and i18n support.
------------------------------------------------------------
revno: 14
committer: alf82@freemail.gr
branch nick: bless
timestamp: Thu 2006-12-21 20:53:40 +0200
message:
  + Added "Temporary Directory" preference
------------------------------------------------------------
revno: 13
committer: alf82@freemail.gr
branch nick: bless
timestamp: Wed 2006-12-20 12:42:16 +0200
message:
  + Added forgotten Makefiles.
------------------------------------------------------------
revno: 12
committer: alf82@freemail.gr
branch nick: bless
timestamp: Wed 2006-12-20 12:34:57 +0200
message:
  + Added I18N
------------------------------------------------------------
revno: 11
committer: alf82@freemail.gr
branch nick: bless
timestamp: Mon 2006-12-18 15:12:53 +0200
message:
  - Removed obsolete widgets.
------------------------------------------------------------
revno: 10
committer: alf82@freemail.gr
branch nick: bless
timestamp: Mon 2006-12-18 12:48:23 +0200
message:
  + Store export patterns for later usage.
------------------------------------------------------------
revno: 9
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2006-12-15 12:31:58 +0200
message:
  + Added SelectRange plugin
------------------------------------------------------------
revno: 8
committer: alf82@freemail.gr
branch nick: bless
timestamp: Wed 2006-12-13 17:25:24 +0200
message:
  + Added export support
------------------------------------------------------------
revno: 7
committer: alf82@freemail.gr
branch nick: bless
timestamp: Wed 2006-12-13 17:22:12 +0200
message:
  + Added plugin dependency support
------------------------------------------------------------
revno: 6
committer: alf82@freemail.gr
branch nick: bless
timestamp: Mon 2006-12-04 00:46:54 +0200
message:
  + Changed BlessBuilder so that the user can specify the set of modules to build.
------------------------------------------------------------
revno: 5
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sun 2006-12-03 15:31:20 +0200
message:
  # Changed interface to BaseConverter.ConvertToString() to explicitly accept the
    minimum number of digits to use.
------------------------------------------------------------
revno: 4
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2006-11-17 10:50:31 +0200
message:
  # Changed module builder to use gmcs instead of mcs.
------------------------------------------------------------
revno: 3
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2006-11-17 10:48:43 +0200
message:
  # Cleaned up makefiles nad changed the to use the new 'buffers' directory.
------------------------------------------------------------
revno: 2
committer: alf82@freemail.gr
branch nick: bless
timestamp: Fri 2006-11-17 10:33:19 +0200
message:
  # Refactored Bless.Buffers
------------------------------------------------------------
revno: 1
committer: alf82@freemail.gr
branch nick: bless
timestamp: Sat 2006-10-28 13:11:00 +0300
message:
  + Initial commit
